#include "smallchart.h"

#include <QtCharts/QSplineSeries>
#include <QtCharts/QValueAxis>

#include <QtCore/QtMath>

#include <QtDebug>

QT_CHARTS_USE_NAMESPACE

SmallChart::SmallChart(QWidget *parent)
{
    QChart * chart = new QChart();
    setChart(chart);
    x = 1;
    max_val = 1;

    series_recv.setName(tr("RECV"));
    series_sent.setName(tr("SENT"));

    chart->addSeries(&series_recv);
    chart->addSeries(&series_sent);

    QValueAxis *axisX = new QValueAxis;
    //axisX->setRange(10, 20.5);
    //axisX->setTickCount(10);
    //axisX->setLabelFormat("%.2f");
    this->chart()->setAxisX(axisX, &series_recv);
    this->chart()->setAxisX(axisX, &series_sent);

    QValueAxis *axisY = new QValueAxis;
    //axisX->setRange(10, 20.5);
    //axisX->setTickCount(10);
    //axisX->setLabelFormat("%.2f");
    this->chart()->setAxisY(axisY, &series_recv);
    this->chart()->setAxisY(axisY, &series_sent);

    setRenderHint(QPainter::Antialiasing);


}

void SmallChart::add_points(quint64 r,quint64 s)
{
//    qDebug() << "x" << x << "r" << r << "s" << s;
    series_recv.append(x,r);
    series_sent.append(x,s);

    max_val = qMax(max_val, r+1);
    max_val = qMax(max_val, s+1);

    chart()->axisX()->setRange(0, x);
    chart()->axisY()->setRange(0, max_val);
    x++;
}
